from Controllers.Postgres.database import get_db
from Schemas import (
    Users,
    Employees,
)
from init_service_to_events import init_service_to_event_matches_for_super_user
from init_applications import init_applications_for_super_user


if __name__ == "__main__":
    """
    Create Applications to serve on Next.js | Create Events to add to Service
    Set Events to service | Set Service to employee
    """
    with get_db() as db_session:
        if super_man := Users.filter_one(
            Users.email == "karatay.berkay.sup@evyos.com.tr", db=db_session
        ).data:
            super_employee = Employees.filter_one(
                Employees.people_id == super_man.person_id, db=db_session
            ).data

            init_service_to_event_matches_for_super_user(
                super_user=super_employee, db_session=db_session
            )
            init_applications_for_super_user(
                super_user=super_employee, db_session=db_session
            )
